### Constructor

# GnomeAutoar Extractor new

#### Declaration [src]

    AutoarExtractor*
    autoar_extractor_new (
      GFile* source_file,
      GFile* output_file
    )

#### Description [src]

Create a new `AutoarExtractor` object.

#### Parameters

`source_file`

  Type: `GFile`

  A `GFile` for the source archive.

  The data is owned by the caller of the function.

`output_file`

  Type: `GFile`

  A `GFile` for the directory where the files will be extracted.

  The data is owned by the caller of the function.

#### Return value

Type: `AutoarExtractor`

A new `AutoarExtractor` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.